<html>
  <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

    <title>AZMaps</title>
	<?php
		include_once('../../../wp-load.php');
		$key = get_option('googlemaps_apikey');		
		$home = "56.620782264931684, -82.6171875";
	?>
<script type="text/javascript" src="http://www.google.com/jsapi"></script>
<script type="text/javascript">google.load("jquery", "1.2");</script>

    <script src="http://maps.google.com/maps?file=api&amp;v=2.x&amp;sensor=false&amp;key=<?php echo $key ?>"></script>
    <script type="text/javascript">

	var physical_map = new GMapType(G_PHYSICAL_MAP.getTileLayers(),
							G_PHYSICAL_MAP.getProjection(),"Terrain");

	$(function() { 
      if (GBrowserIsCompatible()) {

		var map = new GMap2(document.getElementById("map_canvas"));
		var home = new GLatLng(<?php echo $home?>);
        map.setCenter(home, 2);
		map.addMapType(physical_map);
        map.addControl(new GLargeMapControl);
        map.addControl(new GMapTypeControl());

    GEvent.addListener(map, "move", function(){
      document.getElementById("latlng").value = map.getCenter();
    });

    GEvent.addListener(map, 'zoomend',function(zoom) {
     document.getElementById("zoom").value = zoom;
    });

	GEvent.addListener(map, 'maptypechanged', function() {
	 document.getElementById("mtype").value = map.getCurrentMapType().getName(true);
	});

	var markers = [];
    GEvent.addListener(map, "click", function(marker, point){
      var marker = new GMarker(point, { draggable: true });
      map.addOverlay(marker);
	  markers[markers.length] = marker;

	  for(var i in markers) {
        GEvent.addDomListener(markers[i],"dblclick",function(){
          map.removeOverlay(this);
	  $("#info"+i).remove();	
	  $("#m"+i).html(markers[i].getLatLng());
        });
        GEvent.addListener(markers[i],"dragend",function(){
          document.getElementById("m"+i).innerHTML = markers[i].getLatLng();
        });
		added = '<span id="m' + i + '">' + markers[i].getLatLng() + '</span>';
		infowin = '<div id="info' + i + '">'
					+ '<textarea name="title" style="height: 1.4em" onkeyup="wrv(this);">marker#' + i +'</textarea>'
					+ '<br /><textarea name="infovalue" onkeyup="wrv(this);"></textarea></div>';
	  }
		document.getElementById("markers").innerHTML += added;
		document.getElementById("caption").innerHTML += infowin;
		});
  
    }
   });

function wrv(elm) {
	elm.innerHTML = elm.value;
}
function wresize(wsize) {
   document.getElementById("map_canvas").style.width = wsize.value;
}
function hresize(hsize) {
   document.getElementById("map_canvas").style.height = hsize.value;
}

window.onunload = GUnload;

    </script>

	<style>
	
	body { background-color: #f9f9f9; }
	#side { float: right; width: 170px; padding: 10px 5px; }
	#mapw { width: 55px; }
	#maph {width: 55px; }
	#caption div input { width: 160px; }
	#caption div textarea { width: 160px; }
	#searchbox {margin:10px 0 0 0;}

	</style>
	
    
  </head>
  <body style="background-color:#f9f9f9;">
    
	<h2>Easy Map Creator</h2>
	<hr />
	
	<div id="side">
	<form action="" method="" accept-charset="utf-8">
		<input type="submit" value="<?php _e('Save') ?>" id="okbutton" onclick="azmap_set(this.form)"/>
		<p><input type="checkbox" id="stat" value=""/><b>Static Maps</b></p>
		<p>width<input type="text" id="mapw" value="450" onkeyup="wresize(this)"/>px<br />
		height<input type="text" id="maph" value="320" onkeyup="hresize(this)"/>px</p>
		<input type="hidden" value="2" id="zoom"/>
		<input type="hidden" value="" id="mtype"/>
		<input type="hidden" value="<?php echo $home?>" id="latlng"/>
		<div id="markers" style="display:none"></div>
		<p><div id="caption"></div></p>
	</form>
	</div>
	
		<p style="font-size:80%">Click on the map! You can create a marker.<br />
		Double click the marker. You can delete the marker.<br />
		Markers are draggable.<br />
		Static Map is a jpeg image map.<br  />
		Map Type is only for English.<br />
		Text in textarea is shown at infoWindow.</p>

	<div id="map_canvas" style="width: 450px; height: 320px"></div>


<script type="text/javascript">

var obj = null;
function azmap_set(obj) {
	var myField = parent.document.getElementById('content');
		var Stat = obj.stat.checked;
		var Width = obj.mapw.value;
		var Height = obj.maph.value;
		var LatLng = obj.latlng.value;
		var Zoom = obj.zoom.value;
		var Mtype = obj.mtype.value;
		var Markers = document.getElementById("markers").innerHTML.replace(/<\/?[^>]+>/gi, "");

		var Titles = document.getElementsByName("title");
			var Title = [];
			for(var i=0; i<Titles.length; i++) {
				Title[Title.length] = Titles[i].value;
			}
		var Infos = document.getElementsByName("infovalue");
			var InfoValue = [];
			for (var i=0; i<Infos.length; i++) {
				InfoValue[InfoValue.length] = Infos[i].value;
			}

		if(Mtype == "Sat") {
				Mtype = "satellite";
		} else if(Mtype == "Hyb") {
				Mtype = "hybrid";
		} else if(Mtype == "Terrain") {
				Mtype = "terrain";
		} else {
				Mtype = "roadmap";
		}

		if (Stat == true) {
			parent.edInsertContent(myField,'<img src="http://maps.google.com/staticmap?center='+ LatLng 
			+ '&zoom=' + Zoom 
			+ '&size=' + Width + 'x' + Height 
			+ '&maptype='  + Mtype
			+ '&markers=' 
			+ '[azmaps stat="' + Stat 
			+ '" markers="' + Markers + '"]'
			+ '&key=<?php echo $key ?>&sensor=false" class="aligncenter" />');
			self.parent.tb_remove();

		} else {

			returns = '[azmaps stat="' + Stat 
				+ '" width="' + Width + '" height="' + Height 
				+ '" latlng="' + LatLng 
				+ '" zoom="' + Zoom
				+ '" mtype="' + Mtype
				+ '" markers="' + Markers
				+ '" title="' + Title.join(";:")
				+ '" info="' + InfoValue.join(";:") + '"]';
			parent.edInsertContent(myField,returns);
			self.parent.tb_remove();
		}

}

</script>

  </body>
</html>
